package cn.com.countrygarden.bi.main.model.performance.dto;

/**
 * 在PerformanceScoreDto的基础上增加一个利润规模方阵
 * @author Max Date:2018/09/12
 * @version 1.0
 * @since 1.8
 */
public class OrganPerformanceScoreDto extends PerformanceScoreDto {
    private float scope;//利润规模

    public OrganPerformanceScoreDto() {
    }

    public OrganPerformanceScoreDto(float scope) {
        this.scope = scope;
    }

    public float getScope() {
        return scope;
    }

    public void setScope(float scope) {
        this.scope = scope;
    }

    public static OrganPerformanceScoreDto getInstance(PerformanceScoreDto performanceScoreDto){
        OrganPerformanceScoreDto organPerformanceScoreDto=new OrganPerformanceScoreDto();
        //------------PerformanceScore-----------
        organPerformanceScoreDto.setHierarchyname(performanceScoreDto.getHierarchyname());
        organPerformanceScoreDto.setElementname(performanceScoreDto.getElementname());
        organPerformanceScoreDto.setPageSize(performanceScoreDto.getPageSize());
        organPerformanceScoreDto.setPageCur(performanceScoreDto.getPageCur());
        organPerformanceScoreDto.setScoreId(performanceScoreDto.getScoreId());
        organPerformanceScoreDto.setElementId(performanceScoreDto.getElementId());
        organPerformanceScoreDto.setScore(performanceScoreDto.getScore());
        organPerformanceScoreDto.setActualScore(performanceScoreDto.getActualScore());
        organPerformanceScoreDto.setType(performanceScoreDto.getType());
        organPerformanceScoreDto.setComplete(performanceScoreDto.getComplete());
        organPerformanceScoreDto.setSquareNo(performanceScoreDto.getSquareNo());
        organPerformanceScoreDto.setYearlyScore(performanceScoreDto.getYearlyScore());
        organPerformanceScoreDto.setQuarterlyScore(performanceScoreDto.getQuarterlyScore());
        organPerformanceScoreDto.setYear(performanceScoreDto.getYear());
        organPerformanceScoreDto.setMonth(performanceScoreDto.getMonth());
        organPerformanceScoreDto.setQuarterly(performanceScoreDto.getQuarterly());
        organPerformanceScoreDto.setHierarchy(performanceScoreDto.getHierarchy());
        organPerformanceScoreDto.setHierarchyId(performanceScoreDto.getHierarchyId());
        organPerformanceScoreDto.setNum(performanceScoreDto.getNum());
        organPerformanceScoreDto.setProfitReach(performanceScoreDto.isProfitReach());
        organPerformanceScoreDto.setCreatedDate(performanceScoreDto.getCreatedDate());
        organPerformanceScoreDto.setCreatedBy(performanceScoreDto.getCreatedBy());
        organPerformanceScoreDto.setUpdateDate(performanceScoreDto.getUpdateDate());
        organPerformanceScoreDto.setUpdateBy(performanceScoreDto.getUpdateBy());
        organPerformanceScoreDto.setTotalPage(performanceScoreDto.getTotalPage());

        //--------------PerformanceScoreDto-----------
        organPerformanceScoreDto.setAtLeastTarget(performanceScoreDto.getAtLeastTarget());
        organPerformanceScoreDto.setHowlTarget(performanceScoreDto.getHowlTarget());
        organPerformanceScoreDto.setAverageScore(performanceScoreDto.getAverageScore());
        organPerformanceScoreDto.setActualAverageScore(performanceScoreDto.getActualAverageScore());

        return organPerformanceScoreDto;
    }
}
